Health Check¶
Health Check - Run Diagnostics¶
HTTP Request
POST /api/v1/diagnosis/diagnostics
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1{
2 "property1": {},
3 "property2": {}
4}
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
» additionalProperties |
object |
false |
none |
none |
Health Check - Get Health Status¶
HTTP Request
GET /api/v1/diagnosis/status
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "healthy": true,
3 "message": "string",
4 "timestamp": "2019-08-24T14:15:22Z",
5 "version": "string",
6 "metrics": {
7 "property1": {},
8 "property2": {}
9 },
10 "issues": [
11 {
12 "id": "string",
13 "severity": "string",
14 "component": "string",
15 "message": "string",
16 "description": "string",
17 "detectedAt": "2019-08-24T14:15:22Z",
18 "metadata": {
19 "property1": {},
20 "property2": {}
21 },
22 "recommendation": "string",
23 "resolved": true,
24 "resolvedAt": "2019-08-24T14:15:22Z"
25 }
26 ],
27 "components": {
28 "property1": {
29 "healthy": true,
30 "status": "string",
31 "message": "string",
32 "details": {
33 "property1": {},
34 "property2": {}
35 },
36 "responseTimeMs": 0
37 },
38 "property2": {
39 "healthy": true,
40 "status": "string",
41 "message": "string",
42 "details": {
43 "property1": {},
44 "property2": {}
45 },
46 "responseTimeMs": 0
47 }
48 }
49}
Health Check - Get Application Issues¶
HTTP Request
GET /api/v1/diagnosis/issues
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": "string",
4 "severity": "string",
5 "component": "string",
6 "message": "string",
7 "description": "string",
8 "detectedAt": "2019-08-24T14:15:22Z",
9 "metadata": {
10 "property1": {},
11 "property2": {}
12 },
13 "recommendation": "string",
14 "resolved": true,
15 "resolvedAt": "2019-08-24T14:15:22Z"
16 }
17]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» id |
string |
false |
none |
none |
» severity |
string |
false |
none |
none |
» component |
string |
false |
none |
none |
» message |
string |
false |
none |
none |
» description |
string |
false |
none |
none |
» detectedAt |
string(date-time) |
false |
none |
none |
» metadata |
object |
false |
none |
none |
»» additionalProperties |
object |
false |
none |
none |
» recommendation |
string |
false |
none |
none |
» resolved |
boolean |
false |
none |
none |
» resolvedAt |
string(date-time) |
false |
none |
none |
Health Check - Get Detailed Health Status¶
HTTP Request
GET /api/v1/diagnosis/detailed
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1{
2 "property1": {},
3 "property2": {}
4}
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
» additionalProperties |
object |
false |
none |
none |
Health Check - Get Database Health¶
HTTP Request
GET /api/v1/diagnosis/database
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1{
2 "property1": {},
3 "property2": {}
4}
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
» additionalProperties |
object |
false |
none |
none |
Health Check - Get Comprehensive Health Check¶
HTTP Request
GET /api/v1/diagnosis/comprehensive
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1{
2 "property1": {},
3 "property2": {}
4}
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
» additionalProperties |
object |
false |
none |
none |
Health Check - Get Component Health¶
HTTP Request
GET /api/v1/diagnosis/component/{componentName}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
componentName |
path |
string |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1{
2 "property1": {},
3 "property2": {}
4}
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
» additionalProperties |
object |
false |
none |
none |
Health Check - Get All Health Checks¶
HTTP Request
GET /api/v1/diagnosis/all
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1{
2 "property1": {},
3 "property2": {}
4}
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
» additionalProperties |
object |
false |
none |
none |